'use strict'

// Dependencies
const express = require('express')
const { logMessage } = require('../lib/logger')

// Routes
const router = express.Router()

// Base route (allow testing if API is running)
router.get('/', async (req, res, next) => {
  logMessage(req.baseUrl, 'API is running')
  res.status(200).json({ result: 'OK' })
})

// Example route
router.use('/example', require('./example'))

// TODO: Add routes here

module.exports = router
